Bug 1565455 (CVE-2017-18257) - CVE-2017-18257 kernel: Inifinite loop caused by integer overflow in fs/f2fs/data.c:__get_data_block() allows for denial of service
Summary: CVE-2017-18257 kernel: Inifinite loop caused by integer overflow in fs/f2fs/d...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-18257
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1565456
TreeView+ depends on / blocked
 
Reported: 2018-04-10 04:32 UTC by Sam Fowler
Modified: 2021-02-17 00:32 UTC (History)
45 users (show)

Fixed In Version: kernel 4.11
Doc Type: If docs needed, set a value
Doc Text:
The Linux kernel was found to be vulnerable to an infinite loop cause by an integer overflow in the fs/f2fs/data.c:__get_data_block() function. A local attacker could exploit this to cause a denial of service.
Clone Of:
Environment:
Last Closed: 2018-04-11 09:54:28 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-04-10 04:32:27 UTC
The Linux kernel was found to be vulnerable to an infinite loop cause by an integer overflow in the fs/f2fs/data.c:__get_data_block() function. A local attacker could exploit this to cause a denial of service.

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=b86e33075ed1909d8002745b56ecf73b833db143


Note You need to log in before you can comment on or make changes to this bug.